Bread::Board::Service::WithClass(3pm)

NAME
Bread::Board::Service::WithClass - role for services returning instances of a given class

VERSION
version 0.37

DESCRIPTION
This a sub-role of Bread::Board::Service for services that return instances of a given class.

ATTRIBUTES

  "class"
Read/write string attribute, the name of the class that this service will probably instantiate.

METHODS

  "has_class"
Predicate for the "class" attribute, true if it has been set.

  "get"
This role adds a "before" modifier to the "get" method, ensuring that the module implementing the "class" is loaded.

AUTHOR
Stevan Little <stevan@iinteractive.com>

BUGS
Please report any bugs or feature requests on the bugtracker website https://github.com/stevan/BreadBoard/issues

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

COPYRIGHT AND LICENSE
This software is copyright (c) 2019, 2017, 2016, 2015, 2014, 2013, 2011, 2009 by Infinity Interactive.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.